#ifdef POSITION
/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::mapping"
  void Entity::mapping (uint32_t pos_x,
			uint32_t pos_y,
			uint32_t size_x ,
			uint32_t size_y )
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    if (_is_map != false)
      throw (ErrorMorpheo ("Entity \""+_name+"\" is already mapped"));

    _is_map = true;

    _map_size_x = size_x;
    _map_size_y = size_y;
    _map_pos_x  = pos_x ;
    _map_pos_y  = pos_y ;

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
#endif
